<template>
  <div class="layouts-admins">
    <el-container style="min-height: 100vh">
      <el-aside>
        <Sidebar style="padding: 40px">
        <ul>
          <li>
            <nuxt-link :to="localePath('/admin')">Dashboard</nuxt-link>
          </li>
          <li>
            <nuxt-link :to="localePath('/admin/pages')">Pages</nuxt-link>
          </li>
          <li>
            <nuxt-link :to="localePath('/admin/users')">Users</nuxt-link>
          </li>
          <li>
            <nuxt-link :to="localePath('/admin/menu')">Menu</nuxt-link>
          </li>
          <li>
            <nuxt-link :to="localePath('/admin/slider')">Slider</nuxt-link>
          </li>
          <li class="divider">
            <nuxt-link :to="localePath('/profile')">Back</nuxt-link>
          </li>
        </ul>
        </Sidebar>
      </el-aside>

      <el-container>
        <el-main style="padding: 40px; color: #252d45; background: #fff">
          <client-only>
            <nuxt />
            <div
              style="height: 100vh"
              slot="placeholder"
              v-loading="true"
            ></div>
          </client-only>
        </el-main>
      </el-container>
    </el-container>
    <client-only>
      <portal-target name="modal" />
    </client-only>
    <!-- 
    <Sidebar>
      <ul>
        <li>
          <nuxt-link :to="localePath('/admin')">Dashboard</nuxt-link>
        </li>
        <li>
          <nuxt-link :to="localePath('/admin/pages')">Pages</nuxt-link>
        </li>
        <li>
          <nuxt-link :to="localePath('/admin/users')">Users</nuxt-link>
        </li>
        <li>
          <nuxt-link :to="localePath('/admin/menu')">Menu</nuxt-link>
        </li>
        <li>
          <nuxt-link :to="localePath('/admin/slider')">Slider</nuxt-link>
        </li>
        <li class="divider">
          <nuxt-link :to="localePath('/profile')">Back</nuxt-link>
        </li>
      </ul>
    </Sidebar>
    <Container>
      <client-only>
        <nuxt />
        <div style="height: 100vh" slot="placeholder" v-loading="true"></div>
      </client-only>
    </Container>
    <client-only>
      <portal-target name="modal" />
    </client-only> -->
  </div>
</template>

<script lang="ts">
import {
  defineComponent,
  onMounted,
  onUnmounted
} from '@nuxtjs/composition-api'
import Sidebar from '@/components/app/Sidebar.vue'
import Container from '@/components/ui/Container.vue'
import Element from 'element-ui'
import Vue from 'vue'

Vue.use(Element)

export default defineComponent({
  components: {
    Sidebar,
    Container
  },
  name: 'AdminLayout',
  setup() {
    if (process.client) {
      let el: HTMLLinkElement
      onMounted(() => {
        el = document.createElement('link')
        el.type = 'text/css'
        el.rel = 'stylesheet'
        el.href =
          'https://cdn.jsdelivr.net/npm/element-ui@2.13.2/packages/theme-chalk/lib/index.css'
        document.body.appendChild(el)
      })
      onUnmounted(() => {
        el?.remove()
      })
    }

    return {}
  }
})
</script>

<style lang="scss">
.layouts-admin {
  display: grid;
  grid-template-areas: 'sidebar content';
  grid-template-columns: 350px auto;
  grid-gap: 50px;

  > .sidebar {
    grid-area: sidebar;
  }

  > .container {
    grid-area: content;
    background-color: #fff;
    min-height: 100vh;
    color: #4d577b;
  }
}
</style>
